Apache Modules Problem with Using Subversion

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Apache Modules Problem with Using Subversion

Postby ZumJ » 04. February 2011 19:13

Hey Everyone,

Got a 64bit ubuntu desktop system running XAMPP just fine. I'm trying to get subversion setup so I can host a few repositories on my network, and possibly connect from elsewhere.

Here's the problem:
Apache won't start, giving this error:
Code: Select all
XAMPP: Error 1! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/


Here's what I did:
1. I installed the libapache2-svn package through synaptics
2. I copied the two necessary module files mod_dav_svn.so and mod_authz_svn.so to /opt/lampp/modules/
3. I edited /opt/lampp/etc/httpd.conf to load both of these modules

My guess is there's a problem with these modules not working with my 64bit install. As I mentioned at the top, the XAMPP configuration works just fine, until I uncomment the two LoadModule lines.

Any suggestions on what to try next?

Thanks,
John
ZumJ
 
Posts: 12
Joined: 18. January 2011 04:03

Re: Apache Modules Problem with Using Subversion

Postby ZumJ » 08. February 2011 15:33

Still stuck. Any ideas? I think I may have to give up on XAMPP and just install each component myself if I don't get this figured out...

John
ZumJ
 
Posts: 12
Joined: 18. January 2011 04:03


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests